*-- Before you integrate FRX2Any into your VFP application you should realize that FRX2Any
*-- requires GDIPlus.DLL which is freely available and can be installed on Win98 and higher.
*-- If you have not installed WinXP or .NET framework then you can download this DLL from
*-- http://www.microsoft.com/msdownload/platformsdk/sdkupdate/psdkredist.htm
*-- or
*-- http://www.dll-files.com/dllindex/dll-files.shtml?gdiplus


***************************************************************************************************************************
*-- OutPut options
***************************************************************************************************************************
#DEFINE cnOUTPUT_SCREEN			         		1
#DEFINE cnOUTPUT_PRINT			         		2
#DEFINE cnOUTPUT_EMAIL			         		3
#DEFINE cnOUTPUT_FILE		 	         		4

***************************************************************************************************************************
*-- IMAGE's output file formats
***************************************************************************************************************************
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_BMP          1
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_JPG			2
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_GIF			3
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_TIF			4
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_PNG			5

***************************************************************************************************************************
*-- Enumeration type for the various axis types that are available
***************************************************************************************************************************
#DEFINE cnCHART_AXIS_TYPE_LINERAL				0
#DEFINE cnCHART_AXIS_TYPE_LOG					1
#DEFINE cnCHART_AXIS_TYPE_DATE					2
#DEFINE cnCHART_AXIS_TYPE_TEXT					3
#DEFINE cnCHART_AXIS_TYPE_ORDINAL				4

***************************************************************************************************************************
*-- Enumeration type that defines the available types of BarItem
***************************************************************************************************************************
#DEFINE cnCHART_BARITEM_TYPE_CLUSTER			0
#DEFINE cnCHART_BARITEM_TYPE_OVERLAY			1
#DEFINE cnCHART_BARITEM_TYPE_SORTEDOVERLAY		2
#DEFINE cnCHART_BARITEM_TYPE_STACK				3
#DEFINE cnCHART_BARITEM_TYPE_PERCENTSTACK		4



LOCAL laX
LOCAL laY

LOCAL loFile
LOCAL loChartCurve

LOCAL lcOutPutFileName
LOCAL lcOutPutFilePath

CD LEFT(SYS(16,0), RAT('\', SYS(16,0)))

lcOutPutFileName = 'SimpleBarChart'
lcOutPutFilePath = JUSTPATH(SYS(16,0)) + '\OutPut\'

SET PATH TO  ..\..\..\
SET CLASSLIB TO Chart IN FRX2Any.APP ALIAS Chart	

loFile = CREATEOBJ('Chart.ChartFile')


IF TYPE('loFile') = 'O'

	WITH loFile

*-- Unlock FRX2Any
		.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')

*-- NOTE: loFile.cExportFileName should not include file extension. For example: loFile.cExportFileName = 'ReportOutput'
		.cExportFileName = lcOutPutFileName

*-- NOTE: loFile.cSaveFolder should contain only path to the output file. For example: loFile.cSaveFolder = 'c:\MyApp\MyOutPut\'
		.cSaveFolder     = lcOutPutFilePath

*-- Specifies that output file will be displayed after creation
		.nOutPutType     = cnOUTPUT_SCREEN

*-- Default value is cnIMAGE_OUTPUT_FILE_FORMAT_GIF
		.nImageFileType  = cnIMAGE_OUTPUT_FILE_FORMAT_PNG

*-- Specify Chart's properties
*-- For description of all Chart's properties and methods, please see FRX2Any help file.

		WITH .oPanel


*-- Set the main Title of the Chart.
			.cTitle  = 'Cat census'

*-- Set width and height of a rectangular area where the Chart will be rendered.
			.nWidth  = 600
			.nHeight = 400

			WITH .oXAxis
*-- Set the X axis title.
				.cTitle    = 'Year'

*-- Sets the minimum scale value for this X axis. By default this value is set automatically.
				.nScaleMin = 1997
*-- Sets the maximum scale value for this X axis. By default this value is set automatically.
				.nScaleMax = 2006

			ENDWITH

			WITH .oYAxis
*-- Set Title for Y axis
				.cTitle = 'Population'
			ENDWITH

*-- Make up some random data points
			DIMENSION laY[8]
			
			laY[1]  = 10000
			laY[2]  = 11500
			laY[3]  = 7500
			laY[4]  = 2200
			laY[5]  = 9800
			laY[6]  = 4000
			laY[7]  = 5000
			laY[8]  = 6000


			DIMENSION laX[8]

			laX[1]  = 1998
			laX[2]  = 1999
			laX[3]  = 2000
			laX[4]  = 2001
			laX[5]  = 2002
			laX[6]  = 2003
			laX[7]  = 2004
			laX[8]  = 2005

*-- Generate a red bar with 'Population' label in the Legend.
			loChartCurve = .AddBar('Population', @laX, @laY, RGB(255, 0 , 0))

		ENDWITH

		.SAVE()

		.RELEASE()

	ENDWITH

ENDIF

